<?php  // $Id: view.php,v 1.42 2007/08/17 12:15:33 skodak Exp $

    require_once(dirname(dirname(dirname(__FILE__))).'/config.php');
    require_once("lib.php");
 
    $id = optional_param('id', 0, PARAM_INT);  // Course Module ID
    $aid  = optional_param('a', 0, PARAM_INT);   // Assignment ID

    if ($id) {
        if (! $cm = get_coursemodule_from_id('print', $id)) {
            error("Course Module ID was incorrect");
        }

        if (! $assignment = get_record("print", "id", $cm->instance)) {
            error("assignment ID was incorrect");
        }

        if (! $course = get_record("course", "id", $assignment->course)) {
            error("Course is misconfigured");
        }
    } else {
        if (!$assignment = get_record("print", $id, $aid)) {
            error("Course module is incorrect");
        }
        if (! $course = get_record("course", "id", $assignment->course)) {
            error("Course is misconfigured");
        }
        if (! $cm = get_coursemodule_from_instance("print", $assignment->id, $course->id)) {
            error("Course Module ID was incorrect");
        }
    }

    require_login($course, true, $cm);

    #require_once ("$CFG->dirroot/mod/print/lib.php");
    $assignmentclass = 'print_base';
    $assignmentinstance = new $assignmentclass($cm->id, $assignment, $cm, $course);

    $assignmentinstance->view1();   // Actually display the assignment!

?>