<?php  // $Id: upload.php,v 1.26 2006/08/08 22:09:56 skodak Exp $

    require_once("../../config.php");
    require_once("lib.php");

    $id = optional_param('id', 0, PARAM_INT);  // Course module ID
    $aid  = optional_param('a', 0, PARAM_INT);   // Assignment ID

    if ($id) {
        if (! $cm = get_coursemodule_from_id('print', $id)) {
            error("Course Module ID was incorrect");
        }

        if (! $assignment = get_record("print", "id", $cm->instance)) {
            error("assignment ID was incorrect");
        }

        if (! $course = get_record("course", "id", $assignment->course)) {
            error("Course is misconfigured");
        }
    } else {
        if (!$assignment = get_record("print", "id", $aid)) {
            error("Course module is incorrect");
        }
        if (! $course = get_record("course", "id", $assignment->course)) {
            error("Course is misconfigured");
        }
        if (! $cm = get_coursemodule_from_instance("print", $assignment->id, $course->id)) {
            error("Course Module ID was incorrect");
        }
    }

    require_login($course->id, false, $cm);

/// Load up the required assignment code
    $printclass = 'print_base';
    $assignmentinstance = new $printclass($cm->id, $assignment, $cm, $course);

    $assignmentinstance->upload();   // Upload files

?>
